Subject: Re: [VRRP] Proposal for Maintenance Event for VRRP [RFC-5798]

From: sreenatha <[email-masked]>
Date: Thu, 21 Feb 2013 21:33:16 +0530

Hi Anurag,
     Proposed idea is good. I have some queries on this proposal:

1. On receiving new maintenance_event, priority of the router is not 
changed, right? So if back-up router has less priority, even if Master 
receives the ADVERTISEMENT from the backup router, Master will discard. 
So how the Master router state is going to change?

2. How much time Master router should wait to receive ADVERTISEMENT 
message from any backup router?

3. Standard VRRP MIB(RFC-2787) does not allow user to configure '0' for 
VRRP Priority. So you are proposing to change this value also?

Thanks,
Sreenatha Setty

On 02/21/2013 01:30 AM, [email-masked] wrote:
> If you have received this digest without all the individual message
> attachments you will need to update your digest options in your list
> subscription.  To do so, go to
>
> https://www.ietf.org/mailman/listinfo/vrrp
>
> Click the 'Unsubscribe or edit options' button, log in, and set "Get
> MIME or Plain Text Digests?" to MIME.  You can set this option
> globally for all the list digests you receive at this point.
>
>
>
> Send vrrp mailing list submissions to
> 	[email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www.ietf.org/mailman/listinfo/vrrp
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
>
> You can reach the person managing the list at
> 	[email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of vrrp digest..."
>
>
> Today's Topics:
>
>     1. Proposal for Maintenance Event for VRRP [RFC-5798]
>        (Anurag Kothari (ankothar))
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Tue, 19 Feb 2013 22:08:41 +0000
> From: "Anurag Kothari (ankothar)"<[email-masked]>
> To:"[email-masked]"  <[email-masked]>
> Subject: [VRRP] Proposal for Maintenance Event for VRRP [RFC-5798]
> Message-ID:
> 	<[email-masked]>
> Content-Type: text/plain; charset="us-ascii"
>
> Hi
>
> I want to propose a new Maintenance Event (modification of Shutdown Event) for VRRP (RFC-5798] which would allow to gracefully failover the VRRP Master to Redundant (Backup Router).
>
> Problem Statement:
> VRRP preemption is not configured on the redundant / backup router. How to initiate VRRP Traffic to failover to the redundant / backup router gracefully without modifying the configuration on the redundant / backup router (i.e. adding preemption)
>
> Proposed Solution:
> Addition to Section 6.4.3 of RFC-5798:
>
> - If a Maintenance event is received, then:
>
> + Cancel the Adver_Timer
>
> + Send an ADVERTISEMENT with Priority = 0
>
> -endif // maintenance recv
>
> Unlike Shutdown event the router will not "Transition to the {Initialize} state" and continue to be Master and forward traffic  till the backup router sends an ADVERTISEMENT (triggered by receiving an ADVERTISEMENT with Priority = 0) and becomes master.
>
> Here are couple of examples of how a maintenance event may be triggered
>
>
> 1)      By some user command e.g. "maintenance-mode" in the vrrp configuration.
>
> 2)      By setting the priority = 0 for a particular VRID.
>
> Thanks
> -Anurag
>
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL:<http://www.ietf.org/mail-archive/web/vrrp/attachments/20130219/36a6571f/attachment.htm>
>
> ------------------------------
>
> _______________________________________________
> vrrp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/vrrp
>
>
> End of vrrp Digest, Vol 81, Issue 1
> ***********************************
>

Disclaimer : 
This email communication may contain privileged and confidential information and is intended for the use of the addressee only.If you are not an intended recipient you are requested not to reproduce, copy disseminate or in any manner distribute this email communication as the same is strictly prohibited. If you have received this email in error, please notify the sender immediately by return e-mail and delete the communication sent in error. Email communications cannot be guaranteed to be secure & error free and IB Technology is not liable for any errors in the email communication or for the proper, timely and complete transmission thereof.

---

From: "Anurag Kothari (ankothar)" <[email-masked]>
Date: Thu, 21 Feb 2013 16:42:58 +0000

Hi Sreenatha

This ideas is based on the way the priority is defined in Section 5.2.4. and 6.1. of RFC-5798.

"
   The priority value zero (0) has special meaning, indicating that the
   current Master has stopped participating in VRRP.  This is used to
   trigger Backup routers to quickly transition to Master without having
   to wait for the current Master to time out.
"

"
   Priority              <snip>  The value of 0 (zero) is
                               reserved for the Master router to
                               indicate it is releasing responsibility
                               for the virtual router.  The range 1-254
                               (decimal) is available for VRRP routers
                               backing up the virtual router. <snip>
"

Please see my responses inline [Anurag]:

Thanks
-Anurag

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of sreenatha
Sent: Thursday, February 21, 2013 11:03 AM
To: [email-masked]
Subject: Re: [VRRP] Proposal for Maintenance Event for VRRP [RFC-5798]

Hi Anurag,

1. On receiving new maintenance_event, priority of the router is not changed, right? So if back-up router has less priority, even if Master receives the ADVERTISEMENT from the backup router, Master will discard. 
So how the Master router state is going to change?

[Anurag] On receiving the maintenance event the priority of router (or VRID) will change to 0.

2. How much time Master router should wait to receive ADVERTISEMENT message from any backup router?

[Anurag] Master doesn't have to wait. After receiving the maintenance event it will send regular ADVERTISEMENT with Priority = 0 till some other router send back an ADVERTISEMENT message at which point it will transition to Backup.

3. Standard VRRP MIB(RFC-2787) does not allow user to configure '0' for VRRP Priority. So you are proposing to change this value also?

[Anurag] Yes. Priority 0 will have to be made a user configurable value to indicate the intention of a router to relinquish Master Status.

Thanks,
Sreenatha Setty

On 02/21/2013 01:30 AM, [email-masked] wrote:
> VRRP preemption is not configured on the redundant / backup router. 
> How to initiate VRRP Traffic to failover to the redundant / backup 
> router gracefully without modifying the configuration on the redundant 
> / backup router (i.e. adding preemption)
>
> Proposed Solution:

> -------------- next part -------------- An HTML attachment was 
> scrubbed...

Disclaimer :

---

From: sreenatha <[email-masked]>
Date: Fri, 22 Feb 2013 09:55:35 +0530

Hi Anurag,
    Your proposal is:

+ Cancel the Adver_Timer

     And you mentioned that router need to send regular ADVERTISEMENT message till it receives the ADVERTISEMENT message from the backup router.

"2. How much time Master router should wait to receive ADVERTISEMENT message from any backup router?

[Anurag] Master doesn't have to wait. After receiving the maintenance event it will send regular ADVERTISEMENT with Priority = 0 till some other router send back an ADVERTISEMENT message at which point it will transition to Backup."

If Advert_Timer is cancelled, how regular ADVERTISEMENT messages are sent?

So i am suggesting slight changes in the Proposal:

+ Change the router priority to 0

+ Reset the Adver_Timer

This will ensure that:
1. ADVERTISEMENT message with priority 0 is sent  immediately on receiving Maintenance event.
2. Master router will send regular Advertisement message till it receives the ADVERTISEMENT message from any backup routers.

Thanks,
Sreenatha Setty

Disclaimer :

---

From: "Anurag Kothari (ankothar)" <[email-masked]>
Date: Fri, 22 Feb 2013 11:41:47 +0000

Hi Sreenatha

My bad, by cancel I meant reset the timer.

I would prefer defining maintenance event itself as (or being triggered by) priority being set to 0 for a VRID. So probably we can rephrase the proposal as:

+ Send an ADVERTISEMENT

+ Reset the Adver_Timer to Advertisement_Interval

Thanks
-Anurag

From: sreenatha [mailto:[email-masked]]
Sent: Thursday, February 21, 2013 11:26 PM
To: Anurag Kothari (ankothar)
Cc: [email-masked]
Subject: Re: [VRRP] Proposal for Maintenance Event for VRRP [RFC-5798]

Hi Anurag,
   Your proposal is:

+ Cancel the Adver_Timer

+ Reset the Adver_Timer

This will ensure that:

Thanks,

Sreenatha Setty

Hi Sreenatha

"

"

"

"

Thanks

-Anurag

-----Original Message-----

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of sreenatha

To: [email-masked]<mailto:[email-masked]>

Hi Anurag,

Thanks,

Sreenatha Setty

On 02/21/2013 01:30 AM, [email-masked]<mailto:[email-masked]> wrote:

   [email-masked]<mailto:[email-masked]>

   [email-masked]<mailto:[email-masked]>

   [email-masked]<mailto:[email-masked]>

Today's Topics:

Message: 1

From: "Anurag Kothari (ankothar)"<[email-masked]><mailto:[email-masked]>

To:"[email-masked]"<mailto:[email-masked]>  <[email-masked]><mailto:[email-masked]>

Message-ID:

   <[email-masked]><mailto:[email-masked]>

Hi

Problem Statement:

Proposed Solution:

+ Cancel the Adver_Timer

Here are couple of examples of how a maintenance event may be

triggered

Thanks

-Anurag

scrubbed...

URL:<http://www.ietf.org/mail-archive/web/vrrp/attachments/20130219/36<http://www.ietf.org/mail-archive/web/vrrp/attachments/20130219/36a6571f/attachment.htm>

a6571f/attachment.htm><http://www.ietf.org/mail-archive/web/vrrp/attachments/20130219/36a6571f/attachment.htm>

vrrp mailing list

[email-masked]<mailto:[email-masked]>

Disclaimer :

vrrp mailing list

[email-masked]<mailto:[email-masked]>

Disclaimer :

---

From: "Anurag Kothari (ankothar)" <[email-masked]>
Date: Fri, 22 Feb 2013 12:08:55 +0000

On Further Thought:

We may want to define maintenance event (probably rename it "Priority Change Event") being triggered by a change in priority for a VRID (including dynamic changes to the priority e.g. changes due to tracking interface).

This would make it more generic. Whenever the user configures priority = 0 (which will have to be allowed) it would trigger a failover to the backup router.

Thanks
-Anurag

From: [email-masked] [mailto:[email-masked]] On Behalf Of Anurag Kothari (ankothar)
Sent: Friday, February 22, 2013 6:42 AM
To: sreenatha
Cc: [email-masked]
Subject: Re: [VRRP] Proposal for Maintenance Event for VRRP [RFC-5798]

Hi Sreenatha

+ Send an ADVERTISEMENT

Thanks
-Anurag

Cc: [email-masked]<mailto:[email-masked]>

Hi Anurag,
   Your proposal is:

+ Cancel the Adver_Timer

+ Reset the Adver_Timer

This will ensure that:

Thanks,

Sreenatha Setty

Hi Sreenatha

"

"

"

"

Thanks

-Anurag

-----Original Message-----

Hi Anurag,

Thanks,

Sreenatha Setty

Today's Topics:

Message: 1

Message-ID:

Hi

Problem Statement:

Proposed Solution:

+ Cancel the Adver_Timer

triggered

Thanks

-Anurag

scrubbed...

vrrp mailing list

Disclaimer :

vrrp mailing list

Disclaimer :